{
  config,
  lib,
  pkgs,
  ...
}: {
  networking.hostName = "traefik";
  networking.interfaces.eth0.ipv4.addresses = [
    {
      address = "192.168.1.80";
      prefixLength = 24;
    }
  ];

  networking.firewall.allowedTCPPorts = [80 443 8080 8082];

  networking.nameservers = ["192.168.1.53"];
  networking.defaultGateway = "192.168.1.1";
}
